Name:           xz-java
Version:        1.5
Release:        %mkrel 5
Summary:        Java implementation of XZ data compression
Group:          Development/Java

License:        Public Domain
URL:            http://tukaani.org/xz/java.html
Source0:        http://tukaani.org/xz/xz-java-%{version}.zip

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       jpackage-utils
Requires:       java-headless

%description
A complete implementation of XZ data compression in Java.

It features full support for the .xz file format specification version 1.0.4,
single-threaded streamed compression and decompression, single-threaded
decompression with limited random access support, raw streams (no .xz headers)
for advanced users, including LZMA2 with preset dictionary.

%package        javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c %{name}-%{version}

%build
# During documentation generation the upstream build.xml tries to download
# package-list from oracle.com. Create a dummy package-list to prevent that.
mkdir -p extdoc && touch extdoc/package-list

%ant maven

%install
# jar
install -dm 755 %{buildroot}%{_javadir}
install -m 644 build/jar/xz.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/xz.jar
# javadoc
install -dm 755 %{buildroot}%{_javadocdir}
cp -R build/doc %{buildroot}%{_javadocdir}/%{name}
# pom
install -dm 755 %{buildroot}%{_mavenpomdir}
install -pm 644 build/maven/xz-%{version}.pom %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files -f .mfiles
%doc COPYING README THANKS
%{_javadir}/xz.jar

%files javadoc
%doc COPYING
%{_javadocdir}/%{name}


%changelog
* Thu Feb 18 2016 umeabot <umeabot> 1.5-5.mga6
+ Revision: 965415
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 daviddavid <daviddavid> 1.5-4.mga5
+ Revision: 808212
- use .mfiles generated during build

* Wed Oct 15 2014 umeabot <umeabot> 1.5-3.mga5
+ Revision: 743502
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 690810
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.5-1.mga5
+ Revision: 621416
- New version 1.5

* Mon Oct 21 2013 umeabot <umeabot> 1.4-2.mga4
+ Revision: 541171
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.4-1.mga4
+ Revision: 495304
- New version

* Fri Jul 12 2013 dmorgan <dmorgan> 1.2-4.mga4
+ Revision: 453527
- New version

* Sat Jan 19 2013 dmorgan <dmorgan> 1.1-4.mga3
+ Revision: 389577
- Add patch for OSGi Manifest.

* Mon Jan 14 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 387538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 323192
- Build with java7

* Wed Sep 12 2012 dmorgan <dmorgan> 1.1-1.mga3
+ Revision: 292681
- New version

* Fri Jun 08 2012 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 257706
- imported package xz-java


* Thu Apr 5 2012 Mikolaj Izdebski <mizdebsk@redhat.com> 1.0-2
- Fix issues found during package review
- Include missing COPYING files.
- Add missing RPM group.
- Comment on touching package-list.

* Wed Apr 4 2012 Mikolaj Izdebski <mizdebsk@redhat.com> 1.0-1
- Initial packaging.
